Skip to main content
GET
/
whatsapp
/
business_accounts
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const businessAccount = await client.whatsapp.businessAccounts.retrieve('id');

console.log(businessAccount.data);
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "record_type": "whatsapp_business_account",
    "name": "<string>",
    "waba_id": "<string>",
    "status": "<string>",
    "phone_numbers_count": 123,
    "business_verification_status": "<string>",
    "account_review_status": "<string>",
    "country": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Whatsapp Business Account ID

Response

Whatsapp Business Account details

data
object